# inspired from fedora spec file
# Copyright (c) 2015-2017 Shawn Iwinski <shawn@iwin.ski>
# License: MIT
# http://opensource.org/licenses/MIT

%define github_owner     paragonie
%define github_name      random_compat
%define github_commit    634bae8e911eefa89c1abfbf1b66da679ac8f54d

%define composer_vendor  paragonie
%define composer_name    random_compat

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:          php-%{composer_vendor}-random-compat
Version:       2.0.18
Release:       %mkrel 2
Summary:       PHP 5.x polyfill for random_bytes() and random_int() from PHP 7
Group:         Development/PHP
License:       MIT
URL:           https://github.com/paragonie/random_compat
Source0:       https://github.com/paragonie/random_compat/archive/%{github_name}-%{version}.tar.gz
BuildArch:     noarch

# composer.json
Requires:      php >= 5.2
# phpcompatinfo (computed from version 2.0.10)
Requires:      php-pcre
# Weak dependencies
Suggests:      php-mbstring
Suggests:      php-openssl
Provides:      php-composer(%{composer_vendor}/%{composer_name}) = %{version}

%description
%{summary}.

%prep
%setup -qn %{github_name}-%{version}

: Autoloader compat
ln -s random.php lib/autoload.php

%build
# Empty build section, nothing to build

%install
install -d -m 755 %{buildroot}%{php_libdir}/random_compat
cp -rp lib/* %{buildroot}%{php_libdir}/random_compat/

%files
%doc LICENSE composer.json
%{php_libdir}/random_compat


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 2.0.18-2.mga8
+ Revision: 1523923
- Mageia 8 Mass Rebuild

* Sat Mar 16 2019 guillomovitch <guillomovitch> 2.0.18-1.mga7
+ Revision: 1377912
- new version 2.0.18

* Thu Sep 20 2018 umeabot <umeabot> 2.0.10-2.mga7
+ Revision: 1287659
- Mageia 7 Mass Rebuild

* Wed Sep 27 2017 guillomovitch <guillomovitch> 2.0.10-1.mga7
+ Revision: 1160641
- imported package php-paragonie-random-compat

